mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ApplicationException System.Runtime.InteropServices.ComVisible(true)

InvalidFilterCriteriaException uses the HRESULT COR_E_INVALIDFILTERCRITERIA which has the value 0x80131601.

The exception that is thrown in when the filter criteria is not valid for the type of filter you are using.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes an instance of InvalidFilterCriteriaException with an empty message string and the root cause exception set to null.

  This constructor sets the properties of the Exception object as follows:

  Property

  Value

  null

  The empty string ("").

  Initializes a new instance of the class with the default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null

  The error message string.

  Initializes a new instance of the class with the given HRESULT and message string.

  The message text for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified serialization and context information.

  A SerializationInfo object that contains the information required to serialize this instance.
  A StreamingContext object that contains the source and destination of the serialized stream associated with this instance.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.